OGRE-Next: Ogre::LodOutputProviderCompressedMesh Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodOutputProviderCompressedMesh Class Reference

`#include <OgreLodOutputProviderCompressedMesh.h>`

Inheritance diagram for Ogre::LodOutputProviderCompressedMesh:
[legend]

## Public Member Functions
| LodOutputProviderCompressedMesh (v1::MeshPtr mesh)
| ~LodOutputProviderCompressedMesh () override
void | bakeLodLevel (LodData *data, int lodIndex) override
void | bakeManualLodLevel (LodData *data, String &manualMeshName, int lodIndex) override
void | finalize (LodData *data) override
void | inject () override
void | prepare (LodData *data) override
void | triangleChanged (LodData *data, LodData::Triangle *tri) override
void | triangleRemoved (LodData *data, LodData::Triangle *tri) override
Public Member Functions inherited from Ogre::LodOutputProvider
virtual | ~LodOutputProvider ()

## Constructor & Destructor Documentation

## ◆ LodOutputProviderCompressedMesh()

Ogre::LodOutputProviderCompressedMesh::LodOutputProviderCompressedMesh | ( | v1::MeshPtr | mesh | ) |

Referenced by triangleChanged().

## ◆ ~LodOutputProviderCompressedMesh()

Ogre::LodOutputProviderCompressedMesh::~LodOutputProviderCompressedMesh | ( |  | ) |
| override

## Member Function Documentation

## ◆ bakeLodLevel()

void Ogre::LodOutputProviderCompressedMesh::bakeLodLevel | ( | LodData * | data,
|  | int | lodIndex )
| overridevirtual

Implements Ogre::LodOutputProvider.

## ◆ bakeManualLodLevel()

void Ogre::LodOutputProviderCompressedMesh::bakeManualLodLevel | ( | LodData * | data,
|  | String & | manualMeshName,
|  | int | lodIndex )
| overridevirtual

Implements Ogre::LodOutputProvider.

## ◆ finalize()

void Ogre::LodOutputProviderCompressedMesh::finalize | ( | LodData * | data | ) |
| overridevirtual

Implements Ogre::LodOutputProvider.

## ◆ inject()

void Ogre::LodOutputProviderCompressedMesh::inject | ( |  | ) |
| overridevirtual

Reimplemented from Ogre::LodOutputProvider.

## ◆ prepare()

void Ogre::LodOutputProviderCompressedMesh::prepare | ( | LodData * | data | ) |
| overridevirtual

Implements Ogre::LodOutputProvider.

## ◆ triangleChanged()

void Ogre::LodOutputProviderCompressedMesh::triangleChanged | ( | LodData * | data,
|  | LodData::Triangle * | tri )
| overridevirtual

Reimplemented from Ogre::LodOutputProvider.

References LodOutputProviderCompressedMesh().

## ◆ triangleRemoved()

void Ogre::LodOutputProviderCompressedMesh::triangleRemoved | ( | LodData * | data,
|  | LodData::Triangle * | tri )
| overridevirtual

Reimplemented from Ogre::LodOutputProvider.

The documentation for this class was generated from the following file:

- OgreLodOutputProviderCompressedMesh.h